Bug 198010

Summary: Memory leak in VariableImpl
Product: cnd Reporter: Alexander Simon <alexvsimon>
Component: Code ModelAssignee: nnnnnk <nnnnnk>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: apepin, mmirilovic
Version: 7.0.1   
Target Milestone: 7.0.1   
Hardware: PC   
OS: Solaris   
Whiteboard: fix-in-nb701 70patch1-verified
Issue Type: DEFECT Exception Report:

Description Alexander Simon 2011-04-22 15:44:19 UTC
Local VariableImpl holds reference on AST.
So edited file holds references that hold reference on AST.
Comment 2 Vladimir Kvashin 2011-05-02 08:37:39 UTC
I had to back out
http://hg.netbeans.org/cnd-main?cmd=changeset;node=22e2b88a19be
for it broke nearly all code model tests
Comment 5 Marian Mirilovic 2011-05-18 15:30:25 UTC
Alexander, did you increase the spec version in release70_fixes ?!
Comment 6 Marian Mirilovic 2011-05-18 15:31:31 UTC
(In reply to comment #5)
> Alexander, did you increase the spec version in release70_fixes ?!

Ups, the question should go to 'nnnnnk' ?!
Comment 7 nnnnnk 2011-05-18 16:04:30 UTC
yes, we did.
Comment 8 Vladimir Voskresensky 2011-05-18 16:16:29 UTC
spec version was done as well:
http://hg.netbeans.org/releases/rev/b4f982134cde
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo